%define name libdbmusic
%define version 0.8.4
%define release  %mkrel 1
%define major 0
%define libname	%mklibname dbmusic %{major}
%define develname %mklibname -d dbmusic
%define summary  A music collection library API using PostgreSQL 

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source0: %{name}-%version.tar.bz2
URL: http://kmusicdb.sourceforge.net 
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.4
BuildRequires: postgresql-devel >= 8.1


%description
A music collection library API using PostgreSQL 

%package -n %{libname}
Summary:   Thread-safe data encryption library
Group:     System/Libraries 
Provides:       %{libname} = %{version}-%{release}  
Provides:       %{name} = %{version}-%{release}
 
%description -n %{libname}
A music collection library API using PostgreSQL 

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
 
%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

#--------------------------------------------------------------------

%package -n %{develname}
Summary:  Header files and libraries for developing apps with libdbmusic
Group:    Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{libname}-devel

 
 
%description -n %{develname}
This package contains the header files and libraries needed to
develop programs that use the libdbmusic library.
Install it if you want to develop such applications.

%files -n %{develname}
%defattr(-,root,root)
%{_datadir}/%{name}/dbmusic.dump
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/*.so

#--------------------------------------------------------------------
 
%prep
%setup -q

%build
%configure2_5x --with-qtdir=%{qt3dir}
	
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-1mdv2008.0
+ Revision: 44390
- New devel package policy

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.8.4


* Fri Apr 14 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
- 0.8.2

